/*
 * This file is part of the Disco Deterministic Network Calculator v2.1.0 "Hydra".
 *
 * Copyright (C) 2015 Steffen Bondorf
 *
 * disco | Distributed Computer Systems Lab
 * University of Kaiserslautern, Germany
 *
 * http://disco.cs.uni-kl.de
 *
 *
 * The Disco Deterministic Network Calculator (DiscoDNC) is free software;
 * you can redistribute it and/or modify it under the terms of the 
 * GNU Lesser General Public License as published by the Free Software Foundation; 
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 */

package unikl.disco.tests;

import java.util.Set;

//import unikl.disco.nc.Analysis;
import unikl.disco.nc.AnalysisConfig;

public class FunctionalTestConfig extends AnalysisConfig {
	// Functional test specific parameters
	boolean define_multiplexing_globally;
	boolean console_output = false;
	
	// Calculator parameters
	boolean enable_tests = false;
	
	@SuppressWarnings("unused")
	private FunctionalTestConfig(){}
	
	public FunctionalTestConfig( Set<ArrivalBoundMethod> arrival_bound_methods,
									boolean remove_duplicate_arrival_bounds,
									boolean tbrl_convolution, 
									boolean tbrl_deconvolution,
									boolean define_multiplexing_globally ) {
		
		super( MuxDiscipline.GLOBAL_ARBITRARY, // Not used, no influence yet.
				GammaFlag.SERVER_LOCAL,        // Not used, no influence yet.
				GammaFlag.SERVER_LOCAL,        // Not used, no influence yet.
				arrival_bound_methods,
				remove_duplicate_arrival_bounds,
				tbrl_convolution,
				tbrl_deconvolution );
		
		this.define_multiplexing_globally = define_multiplexing_globally;
	}
	
	public boolean fullConsoleOutput() { // false == Exceptions only
		return console_output;
	}
}
